Control Plane APIApplications
POST
/v1/applications/{id}/simulate

Simulate a application state change.

Path Parameters

id*string

Query Parameters

state?string

Simulated state target @example RUNTIME_STATE_DEGRADED

Default"RUNTIME_STATE_UNSPECIFIED"

Value in

  • "RUNTIME_STATE_UNSPECIFIED"
  • "RUNTIME_STATE_OPERATIONAL"
  • "RUNTIME_STATE_MAINTENANCE"
  • "RUNTIME_STATE_DEGRADED"
  • "RUNTIME_STATE_OUTAGE"
customerMessage?string

Simulated customer banner message @example "Maintenance under simulation"

applicationCapabilityIds?array<string>

Targeted application capability IDs under simulation @example ["cap_019e8686-b075-7622-aa3d-8988dcc3152d"]

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/applications/string/simulate"
{  "simulation": {    "capabilityIds": [      "string"    ],    "customerMessage": "string",    "state": "RUNTIME_STATE_UNSPECIFIED",    "updatedAt": "2019-08-24T14:15:22Z"  }}